Skip to content

Send an order message

PUT
/sci-connector/order
curl --request PUT \
--url https://api.tradecloud1.com/v2/sci-connector/order \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: text/xml' \
--data '{
"ID": "123",
"IssueDate": "2018-10-06",
"Note": [
"[Free-form text]"
],
"AdditionalDocumentReference": [
{
"ID": "998413772",
"DocumentType": "TPD Document",
"VersionID": "1.0",
"Attachment": {
"ExternalReference": {
"URI": "https://storage.company.com/doc/12345",
"FileName": "[File name]",
"Description": "[Description of the file]"
}
}
}
],
"Contract": {
"ContractDocumentReference": {
"ID": "approveWhenProposedOrReopenRequested:true"
}
},
"BuyerCustomerParty": {
"Party": {
"PartyIdentification": {
"ID": "[Party identifier]",
"Person": {
"Contact": {
"ElectronicMail": "contact@yourcompany.com"
}
}
}
}
},
"SellerSupplierParty": {
"Party": {
"PartyIdentification": {
"ID": "[Party identifier]",
"Person": {
"Contact": {
"ElectronicMail": "contact@yourcompany.com"
}
}
}
}
},
"DeliveryTerms": {
"ID": "EXW"
},
"PaymentTerms": {
"SettlementPeriod": {
"DurationMeasure": 5.5
}
},
"AnticipatedMonetaryTotal": {
"PayableAmount": 1000.4
},
"OrderLine": [
{
"LineItem": {
"ID": "1",
"Note": [
"[Free-form text note on order line]"
],
"LineStatusCode": "cancelled",
"Quantity": 50.5,
"LineExtensionAmount": 175.8,
"Delivery": {
"ID": "[delivery reference]",
"Quantity": 50.5,
"DeliveryLocation": {
"ID": "1234567890128",
"Description": "[Free-form description of the location]",
"Address": {
"StreetName": "Antoon Coolenlaan",
"BuildingNumber": "1 B",
"CityName": "Delft",
"PostalZone": "2629JD",
"Country": {
"IdentificationCode": "NL"
}
}
},
"RequestedDeliveryPeriod": {
"EndDate": "2018-10-11"
}
},
"Price": {
"PriceAmount": 4.5,
"BaseQuantity": 1.5,
"PriceType": "gross",
"AllowanceCharge": {
"ChargeIndicator": false,
"MultiplierFactorNumeric": 20.5
}
},
"Item": {
"Description": "[Description of the item]",
"Name": "[Item name]",
"BuyersItemIdentification": {
"ID": "AN0000123456",
"ExtendedID": "A1"
},
"SellersItemIdentification": {
"ID": "AN0000123456",
"ExtendedID": "A1"
},
"AdditionalItemProperty": [
{
"Name": "BindingContract",
"Value": "n-321"
}
],
"Dimension": [
{
"AttributeId": "Length",
"Measure": 50.5
}
]
}
},
"DocumentReference": [
{
"ID": "998413772",
"DocumentType": "TPD Document",
"VersionID": "1.0",
"Attachment": {
"ExternalReference": {
"URI": "https://storage.company.com/doc/12345",
"FileName": "[File name]",
"Description": "[Description of the file]"
}
}
}
]
}
]
}'

Allows a buyer to send an order message, using the SCSN format.

Send order by buyer

Media typetext/xml

A document used to order goods and services

object
ID
required

An identifier for this document, assigned by the sender of this message.

string

Example

123
IssueDate
required

The date the purchase order was issued by the BuyerCustomer party.

string format: date

Example

2018-10-06
Note

Zero, one or more free-form text about the order, conveying information that is not covered by other elements.

Array<string>
AdditionalDocumentReference

Zero, one or more references to an additional document associated with this order. The total number of documents is limited to 100 documents per order header.

Array<object>

A reference to a document associated with this order line.

object
ID

An identifier for the referenced document.

string

Example

998413772
DocumentType

Specifies the type of document.

string

Example

TPD Document
VersionID

Version/revision number of the TPD package.

string

Example

1.0
Attachment

The referenced document as an attachment to the document from which it is referenced. NOTE: currently only external references are supported by Tradecloud.

object
ExternalReference

A reference to an attached document that is external to the document(s) being exchanged.

object
URI

The Uniform Resource Identifier (URI) that identifies the external object as an Internet resource.

string

Example

https://storage.company.com/doc/12345
FileName

The filename of the document as specified by the issuer.

string

Example

[File name]
Description

Textual description of the content of the file.

string

Example

[Description of the file]
Contract

A reference to a contract document. Can be used for Tradecloud indicators, such as approveWhenProposedOrReopenRequested

object
ContractDocumentReference
required
object
ID
required

The contract reference identifier. When this ID equals approveWhenProposedOrReopenRequested:true, order lines are automatically confirmed when the supplier proposes changes or requests to reopen the order line.

string

Example

approveWhenProposedOrReopenRequested:true
BuyerCustomerParty
required

The party that purchases the goods or services.

object
Party
required
object
PartyIdentification
required

A unique reference to the party.

object
ID
required

In case of a SellerSupplierParty, this should contain the supplier account code registered in Tradecloud for this supplier. NOTE: A schemeId attribute can be added to this field.

string

Example

[Party identifier]
Person

A contactable person of the organization.

object
Contact

The contact information for a person.

object
ElectronicMail

The primary email address of this contact.

string

Example

contact@yourcompany.com
SellerSupplierParty

The party that sells and delivers the goods or services. Make sure the Party > PartyIdentification > ID contains the supplier account code registered in Tradecloud for this supplier.

object
Party
required
object
PartyIdentification
required

A unique reference to the party.

object
ID
required

In case of a SellerSupplierParty, this should contain the supplier account code registered in Tradecloud for this supplier. NOTE: A schemeId attribute can be added to this field.

string

Example

[Party identifier]
Person

A contactable person of the organization.

object
Contact

The contact information for a person.

object
ElectronicMail

The primary email address of this contact.

string

Example

contact@yourcompany.com
DeliveryTerms

Describes the delivery terms, eg. INCOTERMs including additional information.

object
ID
required

A formal code that communicates the tasks, costs, and risks associated with the transportation and delivery of goods. NOTE: Attribute schemeName is required, containing the specification of the scheme/codelist used to specify the DeliveryTermsCode.

string

Example

EXW
PaymentTerms

The terms of payment established for this order.

object
SettlementPeriod

The time period during which the payment terns apply.

object
DurationMeasure

The duration of a period, expressed as a code; ISO 8601. NOTE: attribute unitCode is required.

number format: double

Example

5.5
AnticipatedMonetaryTotal

The total amount of all items specified on the order, including allowances/charges and taxes, but excluding any payment discounts as stated in the Payment Terms.

object
PayableAmount
required

The currency type that applies to the monetary amount. NOTE: attribute currencyID is required.

number format: double

Example

1000.4
OrderLine
required

One or more lines associated with this order. The total number of lines is limited to 500 lines per order.

Array<object>

A line associated with this order and specifying a kind of item being ordered.

object
LineItem
required

A line specifying a kind of item being ordered.

object
ID

An identifier for the line item, assigned by the customer buyer.

string

Example

1
Note

Zero, one or more free-form texts conveying information about the order line that is not contained explicitly in other structures.

Array<string>
LineStatusCode

A code signifying the status of the order line as indicated by the seller supplier. NOTE: Tradecloud only checks whether the line is cancelled or not.

string

Example

cancelled
Quantity
required

The quantity of items. NOTE: attribute unitCode is required.

number format: double

Example

50.5
LineExtensionAmount

The total monetary amount of all items specified on this order line, including price discounts or charges, but excluding taxes.

number format: double

Example

175.8
Delivery
required

Delivery details of an order line item.

object
ID

The reference identifier for this delivery as provided by the customer buyer.

string

Example

[delivery reference]
Quantity
required

The quantity of items. NOTE: attribute unitCode is required.

number format: double

Example

50.5
DeliveryLocation

Location of a party where delivery of the associated (set of) line item(s) is to take place.

object
ID

The identification of a location. NOTE: attribute schemeID is required.

string

Example

1234567890128
Description

A textual description of the location.

string

Example

[Free-form description of the location]
Address

The address associated with a location.

object
StreetName

The name of the street, road, avenue, way, etc. to which the number of the building is attached.

string

Example

Antoon Coolenlaan
BuildingNumber
required

Numerical identification of an address, including an (optional) suffix.

string

Example

1 B
CityName

The name of a city, town, or village in which this address is situated

string

Example

Delft
PostalZone
required

The postal identifier for this address according to the relevant national postal service, such as a ZIP code or Post Code.

string

Example

2629JD
Country
required

The country in which this address is situated.

object
IdentificationCode
required
string

Example

NL
RequestedDeliveryPeriod
required

The period requested for delivery associated with (a set of) line item(s) as requested by the buyer customer.

object
EndDate
required
string format: date

Example

2018-10-11
Price
required

The price that applies to the line item.

object
PriceAmount
required

The monetary amount of the price NOTE: attribute currencyID is required.

number format: double

Example

4.5
BaseQuantity

The quantity to which this price applies. NOTE: attribute unitCode is required.

number format: double

Example

1.5
PriceType
required

Specification of the type of price. I.e. net or gross. NOTE: Tradecloud only supports gross price

string

Example

gross
AllowanceCharge

An allowance or charge associated with this price.

object
ChargeIndicator
required

An indicator that specifies whether this AllowanceCharge is a charge (true) or a discount (false). NOTE: Tradecloud only supports discount (false).

boolean

Example

false
MultiplierFactorNumeric

A percentage by which the base amount is multiplied to calculate the actual amount of this allowance or charge. NOTE: Tradecloud only supports discounts; this is the discount percentage.

number format: double

Example

20.5
Item
required

Description of the item being traded. NOTE: Tradecloud requires Name and BuyersItemIdentification to be defined.

object
Description

Free-form text description of the line item.

string

Example

[Description of the item]
Name
required

Short name of item. NOTE: required by Tradecloud.

string

Example

[Item name]
BuyersItemIdentification

An identifier for this item, assigned by the Buyer / Customer or Seller / Supplier. SellersItemIdentification > ExtendedID will not be used by Tradedloud.

object
ID

The main identifier for the item.

string

Example

AN0000123456
ExtendedID

A revision number for the item.

string

Example

A1
SellersItemIdentification

An identifier for this item, assigned by the Buyer / Customer or Seller / Supplier. SellersItemIdentification > ExtendedID will not be used by Tradedloud.

object
ID

The main identifier for the item.

string

Example

AN0000123456
ExtendedID

A revision number for the item.

string

Example

A1
AdditionalItemProperty

Zero, one or more custom key-value pairs

Array<object>

A key-value pair for custom objects

object
Name

The key of the object

string

Example

BindingContract
Value

The value of the object

string

Example

n-321
Dimension

Zero, one or more dimensions related to the item

Array<object>

Defines measurable dimensions (length, width, area, weight or volume) of an item

object
AttributeId

Measurable dimension type of item

string

Example

Length
Measure
required

Measurement value NOTE: attribute unitCode is required

number format: decimal

Example

50.5
DocumentReference

Zero, one or more references to a document associated with this order line. The total number of documents is limited to 100 documents per order line.

Array<object>

A reference to a document associated with this order line.

object
ID

An identifier for the referenced document.

string

Example

998413772
DocumentType

Specifies the type of document.

string

Example

TPD Document
VersionID

Version/revision number of the TPD package.

string

Example

1.0
Attachment

The referenced document as an attachment to the document from which it is referenced. NOTE: currently only external references are supported by Tradecloud.

object
ExternalReference

A reference to an attached document that is external to the document(s) being exchanged.

object
URI

The Uniform Resource Identifier (URI) that identifies the external object as an Internet resource.

string

Example

https://storage.company.com/doc/12345
FileName

The filename of the document as specified by the issuer.

string

Example

[File name]
Description

Textual description of the content of the file.

string

Example

[Description of the file]

Successfully sent order by buyer

Bad request, the user should check the response body for more info.

Not authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token.

Not authorized, the user is authenticated but does not have the necessary permission.

An unexpected error occurred, Tradecloud ops will be alerted.

Service is not healthy (bad gateway), Tradecloud ops will be alerted.

Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted.

Service is unavailable (gateway timeout), Tradecloud ops will be alerted.